## org.apache.http.impl.nio
Class SSLNHttpClientConnectionFactory

    java.lang.Object
      org.apache.http.impl.nio.SSLNHttpClientConnectionFactory

All Implemented Interfaces:
  NHttpConnectionFactory<DefaultNHttpClientConnection>

    @Immutable
    public class SSLNHttpClientConnectionFactory

extends Object
implements NHttpConnectionFactory<DefaultNHttpClientConnection>

Factory for SSL encrypted, non-blocking `NHttpClientConnection`s.

The following parameters can be used to customize the behavior of this class:

- `CoreProtocolPNames.HTTP_ELEMENT_CHARSET`
- `CoreConnectionPNames.SO_TIMEOUT`
- `CoreConnectionPNames.SOCKET_BUFFER_SIZE`
- `CoreConnectionPNames.MAX_HEADER_COUNT`
- `CoreConnectionPNames.MAX_LINE_LENGTH`

Since:
  4.2

Constructor Summary
`SSLNHttpClientConnectionFactory(HttpParams params)`
`SSLNHttpClientConnectionFactory(SSLContext sslcontext, SSLSetupHandler sslHandler, HttpParams params)`
`SSLNHttpClientConnectionFactory(SSLContext sslcontext, SSLSetupHandler sslHandler, HttpResponseFactory responseFactory, ByteBufferAllocator allocator, HttpParams params)`

Method Summary
`DefaultNHttpClientConnection` `createConnection(IOSession session)`
`protected DefaultNHttpClientConnection` `createConnection(IOSession session, HttpResponseFactory responseFactory, ByteBufferAllocator allocator, HttpParams params)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSLNHttpClientConnectionFactory

    public SSLNHttpClientConnectionFactory(SSLContext sslcontext,
                                           SSLSetupHandler sslHandler,
                                           HttpResponseFactory responseFactory,
                                           ByteBufferAllocator allocator,
                                           HttpParams params)

### SSLNHttpClientConnectionFactory

    public SSLNHttpClientConnectionFactory(SSLContext sslcontext,
                                           SSLSetupHandler sslHandler,
                                           HttpParams params)

### SSLNHttpClientConnectionFactory

    public SSLNHttpClientConnectionFactory(HttpParams params)

Method Detail

### createConnection

    protected DefaultNHttpClientConnection createConnection(IOSession session,
                                                            HttpResponseFactory responseFactory,
                                                            ByteBufferAllocator allocator,
                                                            HttpParams params)

### createConnection

    public DefaultNHttpClientConnection createConnection(IOSession session)

  Specified by:
    `createConnection` in interface `NHttpConnectionFactory<DefaultNHttpClientConnection>`

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.